echo off

if exist ..\NTDM001.ID goto NOBACKUP


if exist ..\TILES010.ART rename ..\TILES010.ART TILES010.BAK
if exist ..\TILES015.ART rename ..\TILES015.ART TILES015.BAK
if exist ..\TILES014.ART rename ..\TILES014.ART TILES014.BAK
if exist ..\TILES009.ART rename ..\TILES009.ART TILES009.BAK
if exist ..\TILES000.ART rename ..\TILES000.ART TILES000.BAK
if exist ..\TILES006.ART rename ..\TILES006.ART TILES006.BAK
if exist ..\TILES011.ART rename ..\TILES011.ART TILES011.BAK

if exist ..\GAME.CON rename ..\GAME.CON GAME.BAK
if exist ..\USER.CON rename ..\USER.CON USER.BAK
if exist ..\DEFS.CON rename ..\DEFS.CON DEFS.BAK
if exist ..\NTDM0001.MAP rename ..\NTDM0001.MAP NTDM0001.BAK
if exist ..\NTDM0002.MAP rename ..\NTDM0002.MAP NTDM0002.BAK
if exist ..\NTDM0003.MAP rename ..\NTDM0003.MAP NTDM0003.BAK
if exist ..\NTDM0004.MAP rename ..\NTDM0004.MAP NTDM0004.BAK
if exist ..\NTDM0005.MAP rename ..\NTDM0005.MAP NTDM0005.BAK
if exist ..\DM001.VOC rename ..\DM001.VOC DM001.BAK
if exist ..\DM002.VOC rename ..\DM002.VOC DM002.BAK
if exist ..\DM003.VOC rename ..\DM003.VOC DM003.BAK
if exist ..\DM004.VOC rename ..\DM004.VOC DM004.BAK
if exist ..\DM005.VOC rename ..\DM005.VOC DM005.BAK
if exist ..\DM006.VOC rename ..\DM006.VOC DM006.BAK
if exist ..\DM007.VOC rename ..\DM007.VOC DM007.BAK
if exist ..\DEATHMATCH.TXT rename ..\DEATHMATCH.TXT DEATHMATCH.BAK
 

:NOBACKUP

echo off
copy NTDM0001.MAP ..\NTDM0001.MAP
copy NTDM0002.MAP ..\NTDM0002.MAP
copy NTDM0003.MAP ..\NTDM0003.MAP
copy NTDM0004.MAP ..\NTDM0004.MAP
copy NTDM0005.MAP ..\NTDM0005.MAP
copy DM001.VOC    ..\DM001.VOC
copy DM002.VOC    ..\DM002.VOC
copy DM003.VOC    ..\DM003.VOC
copy DM004.VOC    ..\DM004.VOC
copy DM005.VOC    ..\DM005.VOC
copy DM006.VOC    ..\DM006.VOC
copy DM007.VOC    ..\DM007.VOC
copy TILES015.ART ..\TILES015.ART
copy TILES010.ART ..\TILES010.ART
copy TILES014.ART ..\TILES014.ART
copy TILES009.ART ..\TILES009.ART
copy TILES000.ART ..\TILES000.ART
copy TILES006.ART ..\TILES006.ART
copy TILES011.ART ..\TILES011.ART
copy GAME.CON ..\GAME.CON
copy USER.CON ..\USER.CON
copy DEFS.CON ..\DEFS.CON
copy DEATHMATCH.TXT ..\DEATHMATCH.TXT
copy NTDM001.ID ..\NTDM001.ID



